wiki:OperatingSystemSpecificConsiderations
Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Version 4 (modified by SuperJared, 14 years ago) (diff)

Merged this page with legacy SystemInstall page

Post problems/considerations about TurboGears working on specific operating systems here.

Mandriva Linux 2005 LE

Installation is affected by  this bug. Read more  here.

Ubuntu

To install Turbogears on Ubuntu, the '*libc6-dev*' package needs to be installed. This package provides header files etc. needed to do the compile.

Coming Soon: GentooInstall - For now see  http://eggs.gentooexperimental.org/

Debian and Ubuntu

They are *not* binary compatible. Mark Shuttleworth clarified this in something which was posted to Slashdot sometime in the last couple of weeks. Ubuntu is built fresh from Debian Unstable *source* every 6 months by picking a snapshot, fixing bugs and running q/a on the CD images. Bugs fixed are pushed back upstream.

The stuff below should work for Ubuntu ... but they may already be on python2.4 ...

Debian Packaging

Ian Bicking noted that there is a python tool for creating Debian packages:  http://easy-deb.sourceforge.net/

Debian Sarge and Sid (unstable): Non-root installs

Here $ is your prompt.

  1. Make sure you are a member of the 'staff' group. This group

has permission to write in the '/usr/local' tree. Debian packages set up some empty directories in this tree with the correct permissions so that non-root installs of supplementary modules etc can be done.

The 'id' program will show you what groups you are already a member of. If your username is 'me' and your uid is 1001 then the output of 'id' will appear as shown and you need to list all the present additional groups as well as 'staff' when running 'usermod'. If 'staff' is already listed then you can skip this step.

$ id 
uid=1001(me) gid=1001(mygroup) groups=24(cdrom),29(audio),1001(mygroup)
$ sudo usermod -G 24,29,staff me

You need to log out and in again for this to take effect.

  1. Install python2.4-dev. [example: Debian provides methods other than sudo ...]
$ sudo apt-get install python2.4-dev
  1. Create a pydistutils.cfg file in your home directory. [or use vi/emacs/...]
$ cat > ~/.pydistutils.cfg << EOF
[install]
install_lib = /usr/local/lib/python2.4/site-packages

[easy_install]
site_dirs=/usr/local/lib/python2.4/site-packages
EOF

Please notice that the easy_install section does not support the $ variables. Just write the complete path.

  1. Run ez_setup.py from the Turbogears download page.
$ python2.4 ez_setup.py -f http://www.turbogears.org/download/index.html --script-dir /usr/local/bin TurboGears